# Makefile.in generated by automake 1.6.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

# Copyright (C) 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

# Copyright (C) 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

# Copyright (C) 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  

# Copyright (C) 2002 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  
SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /home/fsho/bak/develop/dhcp_forwarder/__install
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/dhcp-forwarder
pkglibdir = $(libdir)/dhcp-forwarder
pkgincludedir = $(includedir)/dhcp-forwarder
top_builddir = .

ACLOCAL = ${SHELL} /home/fsho/bak/nsp/src/dhcp-forwarder/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /home/fsho/bak/nsp/src/dhcp-forwarder/missing --run autoconf
AUTOMAKE = ${SHELL} /home/fsho/bak/nsp/src/dhcp-forwarder/missing --run automake-1.6
AUTOHEADER = ${SHELL} /home/fsho/bak/nsp/src/dhcp-forwarder/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
A2PS = @A2PS@
AMTAR = ${SHELL} /home/fsho/bak/nsp/src/dhcp-forwarder/missing --run tar
AWK = gawk
BIBTEX = @BIBTEX@
CAT = /bin/cat

CC = $(DIET_CC)
CHMOD = /bin/chmod
CHMOD_REFERENCE = ${CHMOD} --reference
CHOWN = /bin/chown
CHOWN_REFERENCE = ${CHOWN} --reference
CP = /bin/cp
CP_P = ${CP} -p
DEPDIR = .deps
DIET = 
DIFF = /usr/bin/diff
DIRNAME = /usr/bin/dirname
DOT = @DOT@
DOXYGEN = @DOXYGEN@
DVIPS = @DVIPS@
ECHO = @ECHO@
EGREP = /bin/egrep
EPSTOPDF = @EPSTOPDF@
FIG2DEV = @FIG2DEV@
GREP = /bin/grep
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
JADE = @JADE@
JADETEX = @JADETEX@
LATEX = @LATEX@
LN = /bin/ln
LN_S = ${LN} -s
MAINT = #
MAKEINDEX = @MAKEINDEX@
MKDIR = /bin/mkdir
MKDIR_P = ${MKDIR} -p
MV = /bin/mv
NSGMLS = @NSGMLS@
PACKAGE = dhcp-forwarder
PDFJADETEX = @PDFJADETEX@
PDFLATEX = @PDFLATEX@
PSNUP = @PSNUP@
RM = /bin/rm
RMDIR = /bin/rmdir
RM_F = ${RM} -f
SED = /bin/sed
SH = /bin/sh
SPLINT = /usr/bin/splint
STRIP = mipsel-linux-strip
TEXBUILD = @TEXBUILD@
TEXDEPCOMP = @TEXDEPCOMP@
TGD = @TGD@
TOUCH = /bin/touch
TR = @TR@
VERSION = 0.4
XVCG = @XVCG@
am__include = include
am__quote = 
install_sh = /home/fsho/bak/nsp/src/dhcp-forwarder/install-sh

ACLOCAL_AMFLAGS = -I m4

WWW_HOST = janus
WWW_DIR = public_html/dhcp-fwd
WWW_FILES_ROOT = $(srcdir)/doc/index.html
WWW_FILES_FILES = $(distdir).tar.bz2 $(distdir).tar.bz2.asc $(srcdir)/README $(srcdir)/NEWS

man_MANS = doc/dhcp-fwd.1

SUBDIRS = . test
DIST_SUBDIRS = $(SUBDIRS) m4

confdir = $(sysconfdir)
cfg_filename = $(confdir)/dhcp-fwd.cfg

logging_SRCS = src/logging.c

#pos_logging_SRCS = $(logging_SRCS)
pos_logging_SRCS = 
#neg_logging_SRCS = 
neg_logging_SRCS = $(logging_SRCS)

pos_SRCS = $(pos_logging_SRCS)
neg_SRCS = $(neg_logging_SRCS)

sbin_PROGRAMS = dhcp-fwd
EXTRA_dhcp_fwd_SOURCES = $(logging_SRCS)
dhcp_fwd_SOURCES = src/parser.c src/main.c src/cfg.c src/recvfromflags.c 		\
			   src/output.c $(pos_SRCS)


AM_CPPFLAGS = -DCFG_FILENAME='"$(cfg_filename)"'

splint_HDRS = src/splint.h src/splint_compat.h

noinst_HEADERS = $(splint_HDRS) src/compat.h src/cfg.h		\
			   src/dhcp.h src/inet.h src/recvfromflags.h		\
			   src/util.h src/wrappers.h src/assertions.h		\
			   src/parser.h src/output.h src/logging.h		\
			   src/ulimit_codes.h					\
			   compat/if_packet.h


CLEANFILES = doc/dhcp-fwd.1

EXTRA_DIST = dhcp-forwarder.spec Makefile.m4.am			\
		 	   contrib/dhcp-fwd.init contrib/dhcp-fwd.conf		\
			   contrib/dhcp-fwd.sysconfig				\
			   doc/dhcp-fwd.man


#DIET_CC = $(DIET) mipsel-linux-gcc
DIET_CC = mipsel-linux-gcc
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = dhcp-forwarder.spec
sbin_PROGRAMS = dhcp-fwd$(EXEEXT)
PROGRAMS = $(sbin_PROGRAMS)

am__objects_1 = src/logging.$(OBJEXT)
#am__objects_2 = $(am__objects_1)
am__objects_2 =
am__objects_3 = $(am__objects_2)
am_dhcp_fwd_OBJECTS = src/parser.$(OBJEXT) src/main.$(OBJEXT) \
	src/cfg.$(OBJEXT) src/recvfromflags.$(OBJEXT) \
	src/output.$(OBJEXT) $(am__objects_3)
dhcp_fwd_OBJECTS = $(am_dhcp_fwd_OBJECTS)
dhcp_fwd_LDADD = $(LDADD)
dhcp_fwd_DEPENDENCIES =
dhcp_fwd_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = src/$(DEPDIR)/cfg.Po src/$(DEPDIR)/logging.Po \
	src/$(DEPDIR)/main.Po src/$(DEPDIR)/output.Po \
	src/$(DEPDIR)/parser.Po \
	src/$(DEPDIR)/recvfromflags.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -O0 -DNDEBUG=0 -Wall -W -Wno-unused-function -std=c99 -pedantic
DIST_SOURCES = $(dhcp_fwd_SOURCES) $(EXTRA_dhcp_fwd_SOURCES)

NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(noinst_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README $(noinst_HEADERS) AUTHORS COPYING ChangeLog \
	INSTALL Makefile.am Makefile.in NEWS THANKS aclocal.m4 compile \
	config.h.in configure configure.ac depcomp \
	dhcp-forwarder.spec.in install-sh missing mkinstalldirs
SOURCES = $(dhcp_fwd_SOURCES) $(EXTRA_dhcp_fwd_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/m4/validate.am $(top_srcdir)/m4/changelog.am $(top_srcdir)/m4/diet.am $(top_srcdir)/m4/gpgsig.am $(top_srcdir)/m4/substrule.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnits  Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: # $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4): # configure.ac m4/ensc_compat.m4 m4/ensc_database.m4 m4/ensc_db.m4 m4/ensc_developing.m4 m4/ensc_diet.m4 m4/ensc_enscdebug.m4 m4/ensc_flexlexer.m4 m4/ensc_isdn.m4 m4/ensc_ldapcxx.m4 m4/ensc_python.m4 m4/ensc_rdtscll.m4 m4/ensc_tools.m4
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in: # $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
dhcp-forwarder.spec: $(top_builddir)/config.status dhcp-forwarder.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
	  rm -f $(DESTDIR)$(sbindir)/$$f; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
src/.dirstamp:
	@$(mkinstalldirs) src
	@: > src/.dirstamp
src/$(DEPDIR)/.dirstamp:
	@$(mkinstalldirs) src/$(DEPDIR)
	@: > src/$(DEPDIR)/.dirstamp
src/parser.$(OBJEXT): src/parser.c src/.dirstamp src/$(DEPDIR)/.dirstamp
src/main.$(OBJEXT): src/main.c src/.dirstamp src/$(DEPDIR)/.dirstamp
src/cfg.$(OBJEXT): src/cfg.c src/.dirstamp src/$(DEPDIR)/.dirstamp
src/recvfromflags.$(OBJEXT): src/recvfromflags.c src/.dirstamp \
	src/$(DEPDIR)/.dirstamp
src/output.$(OBJEXT): src/output.c src/.dirstamp src/$(DEPDIR)/.dirstamp
src/logging.$(OBJEXT): src/logging.c src/.dirstamp \
	src/$(DEPDIR)/.dirstamp
dhcp-fwd$(EXEEXT): $(dhcp_fwd_OBJECTS) $(dhcp_fwd_DEPENDENCIES) 
	@rm -f dhcp-fwd$(EXEEXT)
	$(LINK) $(dhcp_fwd_LDFLAGS) $(dhcp_fwd_OBJECTS) $(dhcp_fwd_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core
	-rm -f src/cfg.$(OBJEXT)
	-rm -f src/logging.$(OBJEXT)
	-rm -f src/main.$(OBJEXT)
	-rm -f src/output.$(OBJEXT)
	-rm -f src/parser.$(OBJEXT)
	-rm -f src/recvfromflags.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c
	-rm -f src/$(DEPDIR)/.dirstamp
	-rm -f src/.dirstamp

include src/$(DEPDIR)/cfg.Po
include src/$(DEPDIR)/logging.Po
include src/$(DEPDIR)/main.Po
include src/$(DEPDIR)/output.Po
include src/$(DEPDIR)/parser.Po
include src/$(DEPDIR)/recvfromflags.Po

distclean-depend:
	-rm -rf src/$(DEPDIR)

.c.o:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c -o $@ `cygpath -w $<`

src/parser.o: src/parser.c
	source='src/parser.c' object='src/parser.o' libtool=no \
	depfile='src/$(DEPDIR)/parser.Po' tmpdepfile='src/$(DEPDIR)/parser.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/parser.o `test -f 'src/parser.c' || echo '$(srcdir)/'`src/parser.c

src/parser.obj: src/parser.c
	source='src/parser.c' object='src/parser.obj' libtool=no \
	depfile='src/$(DEPDIR)/parser.Po' tmpdepfile='src/$(DEPDIR)/parser.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/parser.obj `cygpath -w src/parser.c`

src/main.o: src/main.c
	source='src/main.c' object='src/main.o' libtool=no \
	depfile='src/$(DEPDIR)/main.Po' tmpdepfile='src/$(DEPDIR)/main.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/main.o `test -f 'src/main.c' || echo '$(srcdir)/'`src/main.c

src/main.obj: src/main.c
	source='src/main.c' object='src/main.obj' libtool=no \
	depfile='src/$(DEPDIR)/main.Po' tmpdepfile='src/$(DEPDIR)/main.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/main.obj `cygpath -w src/main.c`

src/cfg.o: src/cfg.c
	source='src/cfg.c' object='src/cfg.o' libtool=no \
	depfile='src/$(DEPDIR)/cfg.Po' tmpdepfile='src/$(DEPDIR)/cfg.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/cfg.o `test -f 'src/cfg.c' || echo '$(srcdir)/'`src/cfg.c

src/cfg.obj: src/cfg.c
	source='src/cfg.c' object='src/cfg.obj' libtool=no \
	depfile='src/$(DEPDIR)/cfg.Po' tmpdepfile='src/$(DEPDIR)/cfg.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/cfg.obj `cygpath -w src/cfg.c`

src/recvfromflags.o: src/recvfromflags.c
	source='src/recvfromflags.c' object='src/recvfromflags.o' libtool=no \
	depfile='src/$(DEPDIR)/recvfromflags.Po' tmpdepfile='src/$(DEPDIR)/recvfromflags.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/recvfromflags.o `test -f 'src/recvfromflags.c' || echo '$(srcdir)/'`src/recvfromflags.c

src/recvfromflags.obj: src/recvfromflags.c
	source='src/recvfromflags.c' object='src/recvfromflags.obj' libtool=no \
	depfile='src/$(DEPDIR)/recvfromflags.Po' tmpdepfile='src/$(DEPDIR)/recvfromflags.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/recvfromflags.obj `cygpath -w src/recvfromflags.c`

src/output.o: src/output.c
	source='src/output.c' object='src/output.o' libtool=no \
	depfile='src/$(DEPDIR)/output.Po' tmpdepfile='src/$(DEPDIR)/output.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/output.o `test -f 'src/output.c' || echo '$(srcdir)/'`src/output.c

src/output.obj: src/output.c
	source='src/output.c' object='src/output.obj' libtool=no \
	depfile='src/$(DEPDIR)/output.Po' tmpdepfile='src/$(DEPDIR)/output.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/output.obj `cygpath -w src/output.c`

src/logging.o: src/logging.c
	source='src/logging.c' object='src/logging.o' libtool=no \
	depfile='src/$(DEPDIR)/logging.Po' tmpdepfile='src/$(DEPDIR)/logging.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/logging.o `test -f 'src/logging.c' || echo '$(srcdir)/'`src/logging.c

src/logging.obj: src/logging.c
	source='src/logging.c' object='src/logging.obj' libtool=no \
	depfile='src/$(DEPDIR)/logging.Po' tmpdepfile='src/$(DEPDIR)/logging.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/logging.obj `cygpath -w src/logging.c`
CCDEPMODE = depmode=gcc3
uninstall-info-am:

man1dir = $(mandir)/man1
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	@if sed 15q $(srcdir)/NEWS | fgrep -e "$(VERSION)" >/dev/null; \
	then :; else \
	  echo "NEWS not updated; not releasing" 1>&2; \
	  exit 1; \
	fi
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/. $(distdir)/compat $(distdir)/contrib $(distdir)/doc $(distdir)/src
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	$(am__remove_distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
	  && cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
	      || { echo "ERROR: files left after uninstall:" ; \
	           find $$dc_install_base -type f -print ; \
	           exit 1; } >&2 ) \
	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
	  && rm -f $(distdir).tar.gz \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
distcleancheck: distclean
	if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS) config.h
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(sbindir) $(DESTDIR)$(man1dir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-local distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-man

install-exec-am: install-sbinPROGRAMS

install-info: install-info-recursive

install-man: install-man1

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf autom4te.cache
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

uninstall-am: uninstall-info-am uninstall-man uninstall-sbinPROGRAMS

uninstall-info: uninstall-info-recursive

uninstall-man: uninstall-man1

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-recursive clean-sbinPROGRAMS dist dist-all \
	dist-bzip2 dist-gzip distcheck distclean distclean-compile \
	distclean-depend distclean-generic distclean-hdr \
	distclean-local distclean-recursive distclean-tags \
	distcleancheck distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-man install-man1 \
	install-recursive install-sbinPROGRAMS install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-recursive tags tags-recursive \
	uninstall uninstall-am uninstall-info-am \
	uninstall-info-recursive uninstall-man uninstall-man1 \
	uninstall-recursive uninstall-sbinPROGRAMS


%.1:			%.man
			$(MAKE) substvar VARS='sysconfdir sbindir PACKAGE VERSION' INFILE='$<' OUTFILE='$@'

$(PACKAGE).lcd:		Makefile.am splint.conf $(noinst_HEADERS)
			$(SPLINT) $(DEFAULT_INCLUDES) $(INCLUDES) -dump $@.tmp -f splint.conf $(noinst_HEADERS)
			-rm -f $@
			mv $@.tmp $@

splint:
			$(SPLINT) $(DEFAULT_INCLUDES) $(INCLUDES) -f splint.conf 	\
				$(dhcp_fwd_SOURCES) $(neg_SRCS)

install-contrib:
			$(mkinstalldirs) $(DESTDIR)/etc/init.d $(DESTDIR)/etc/sysconfig
			$(INSTALL_SCRIPT) contrib/dhcp-fwd.init      $(DESTDIR)/etc/init.d/dhcp-fwd
			$(INSTALL_DATA)   contrib/dhcp-fwd.sysconfig $(DESTDIR)/etc/sysconfig/dhcp-fwd

uninstall-contrib:
			rm -f $(DESTDIR)/etc/init.d/dhcp-fwd

www:			.www-timestamp

.www-timestamp:		sftp.cmds
			sftp -b $< $(WWW_HOST)
			touch $@

sftp.cmds:		$(WWW_FILES_ROOT) $(WWW_FILES_FILES)
			@echo 'chdir $(WWW_DIR)' >$@.tmp
			list="$(WWW_FILES_ROOT)"; for f in $$list; do			\
				test $$f -ot $@ || echo "put -P $$f";			\
			done >>$@.tmp

			@echo 'chdir files' >>$@.tmp
			list="$(WWW_FILES_FILES)"; for f in $$list; do			\
				test $$f -ot $@ || echo "put -P $$f";			\
			done >>$@.tmp
			mv -f $@.tmp $@

.PHONY:			splint

config.h install-data-local install-exec-local:	\
			.$(subst /,_,${prefix})-up-to-date

distclean-local:	distclean-uptodate

distclean-uptodate:
			@rm -f  .*-up-to-date

.%-up-to-date:
			@rm -f  .*-up-to-date
			@touch $@
			@$(MAKE)  clean

ChangeLog.sed:
				test "$(srcdir)" != "."

ChangeLog:			ChangeLog.sed Makefile
				if test "$(srcdir)" = "." -a -d CVS; then	\
					rcs2log -l 0 -c /dev/stdout | sed -f $< >$@;	\
				fi

.PHONY:	ChangeLog
gpgsig:
			gpg --armor --detach-sign $(distdir).tar.bz2

substvar .substvar-stage1:
		l="${VARS}"; cmd=''; for i in $$l; do cmd="$$cmd's!@'$$i'@!\$${$$i}!g;'"; done;	\
		$(MAKE) .substvar-stage2 CMD="$$cmd"

.substvar-stage2:
		@$(mkinstalldirs) "`dirname ${OUTFILE}`"
		sed -e ${CMD} ${INFILE} >${OUTFILE}.tmp
		test -z "$(CHMOD_REFERENCE)" || $(CHMOD_REFERENCE) $(INFILE) $(OUTFILE).tmp
		chmod a-w ${OUTFILE}.tmp
		rm -f $(OUTFILE)
		mv -f $(OUTFILE).tmp $(OUTFILE)

.PHONY:		substvar .substvar-stage1 .substvar-stage2
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
